OpenSwingHandlerMapping

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.springframework.web.servlet.handler
Class OpenSwingHandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.openswing.springframework.web.servlet.handler.OpenSwingHandlerMapping

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.servlet.HandlerMapping, org.springframework.core.Ordered, org.springframework.web.context.ServletContextAware

public class OpenSwingHandlerMapping
extends org.springframework.web.servlet.handler.AbstractHandlerMapping

Title: OpenSwing Framework

Description: Handler mapping used when combining OpenSwing client layer to Spring server layer: this handler manages HTTP requests by giving back a bean name according to Command.getMethodName() value. It is similar to ControllerClassNameHandlerMapping. It always includes an Interceptor (in first position) that extract Command object from the request input stream and stores it as request attribute.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static java.lang.String` | `COMMAND_ATTRIBUTE_NAME` attribute name to store as request attribute for the Command object extract from the request input stream; default value = "command"; default value = COMMAND_ATTRIBUTE_NAME
`static java.lang.String` | `USERS_AUTHENTICATED` attribute name in ServletContext used to store an HashSet of correctly authenticated users (used in combination with SessionCheckInterceptor)

Fields inherited from interface org.springframework.web.servlet.HandlerMapping
`PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`OpenSwingHandlerMapping()`

Method Summary
`void` | `setObjectReceiver(ObjectReceiver objectReceiver)` Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
`getDefaultHandler, getHandler, getOrder, setDefaultHandler, setInterceptors, setOrder`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, setApplicationContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_ATTRIBUTE_NAME

    public static final java.lang.String COMMAND_ATTRIBUTE_NAME

  attribute name to store as request attribute for the Command object extract from the request input stream; default value = "command"; default value = COMMAND_ATTRIBUTE_NAME

  See Also:
    Constant Field Values

### USERS_AUTHENTICATED

    public static final java.lang.String USERS_AUTHENTICATED

  attribute name in ServletContext used to store an HashSet of correctly authenticated users (used in combination with SessionCheckInterceptor)

  See Also:
    Constant Field Values

Constructor Detail

### OpenSwingHandlerMapping

    public OpenSwingHandlerMapping()

Method Detail

### setObjectReceiver

    public final void setObjectReceiver(ObjectReceiver objectReceiver)

  Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

  Parameters:
    `objectReceiver` - receiver class to use

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD